Product Hunt product alternatives
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-products-alternatives \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "notion",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-products-alternatives"
payload = {
"product": "notion",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: 'notion', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-products-alternatives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_products_alternatives",
"product": "doplac-crm",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Product Hunt — product alternatives\n\n- **Product:** doplac-crm\n- **Results:** 2\n- **Proxy traffic:** 83.1 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "hubspot",
"name": "HubSpot",
"url": "https://www.producthunt.com/products/hubspot",
"alias": "hubspot",
"product_id": "113430",
"tagline": "Grow better with HubSpot",
"rating": 4.77,
"review_count": 78,
"post_count": null,
"image": "https://ph-files.imgix.net/a186cf3e-6e9e-429d-bdb5-1033b4f9e55d.png?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Customer support tools",
"slug": "customer-support",
"url": "https://www.producthunt.com/categories/customer-support"
},
{
"name": "CRM software",
"slug": "crm",
"url": "https://www.producthunt.com/categories/crm"
},
{
"name": "Marketing automation platforms",
"slug": "marketing-automation",
"url": "https://www.producthunt.com/categories/marketing-automation"
}
],
"is_no_longer_online": null,
"similarity_score": 5.205367519959214
},
"items": [
{
"id": "hubspot",
"name": "HubSpot",
"url": "https://www.producthunt.com/products/hubspot",
"alias": "hubspot",
"product_id": "113430",
"tagline": "Grow better with HubSpot",
"rating": 4.77,
"review_count": 78,
"post_count": null,
"image": "https://ph-files.imgix.net/a186cf3e-6e9e-429d-bdb5-1033b4f9e55d.png?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Customer support tools",
"slug": "customer-support",
"url": "https://www.producthunt.com/categories/customer-support"
},
{
"name": "CRM software",
"slug": "crm",
"url": "https://www.producthunt.com/categories/crm"
},
{
"name": "Marketing automation platforms",
"slug": "marketing-automation",
"url": "https://www.producthunt.com/categories/marketing-automation"
}
],
"is_no_longer_online": null,
"similarity_score": 5.205367519959214
},
{
"id": "folk-2",
"name": "folk",
"url": "https://www.producthunt.com/products/folk-2",
"alias": "folk-2",
"product_id": "480793",
"tagline": "folk is the AI CRM for your entire sales motion.",
"rating": 4.79,
"review_count": 81,
"post_count": null,
"image": "https://ph-files.imgix.net/ccb84135-f373-453d-b4de-837f8b77d00f.png?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Productivity",
"slug": "productivity",
"url": "https://www.producthunt.com/categories/productivity"
},
{
"name": "Marketing & Sales",
"slug": "marketing-sales",
"url": "https://www.producthunt.com/categories/marketing-sales"
},
{
"name": "CRM software",
"slug": "crm",
"url": "https://www.producthunt.com/categories/crm"
}
],
"is_no_longer_online": null,
"similarity_score": 5.147077258213519
}
],
"total_found": null,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 85074
},
"total_points": 2
}Startup & Funding Data
Product Hunt product alternatives
Alternatives of a Product Hunt product with their rating and similarity score, all pages. 1 point per returned record.
POST
/
functions
/
v1
/
run-producthunt-products-alternatives
Product Hunt product alternatives
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.